# Constant Field Values

## Contents

- org.ggf.*

## org.ggf.*

org.ggf.drmaa.JobTemplate
Modifier and Type
Constant Field
Value
`public static final int`
`ACTIVE_STATE`
`1`
`public static final int`
`HOLD_STATE`
`0`
`public static final String`
`HOME_DIRECTORY`
`"$drmaa_hd_ph$"`
`public static final String`
`PARAMETRIC_INDEX`
`"$drmaa_incr_ph$"`
`public static final String`
`WORKING_DIRECTORY`
`"$drmaa_wd_ph$"`
org.ggf.drmaa.PartialTimestamp
Modifier and Type
Constant Field
Value
`public static final int`
`CENTURY`
`0`
`public static final int`
`UNSET`
`2147483647`
org.ggf.drmaa.Session
Modifier and Type
Constant Field
Value
`public static final int`
`DONE`
`48`
`public static final int`
`FAILED`
`64`
`public static final int`
`HOLD`
`2`
`public static final String`
`JOB_IDS_SESSION_ALL`
`"DRMAA_JOB_IDS_SESSION_ALL"`
`public static final String`
`JOB_IDS_SESSION_ANY`
`"DRMAA_JOB_IDS_SESSION_ANY"`
`public static final int`
`QUEUED_ACTIVE`
`16`
`public static final int`
`RELEASE`
`3`
`public static final int`
`RESUME`
`1`
`public static final int`
`RUNNING`
`32`
`public static final int`
`SUSPEND`
`0`
`public static final int`
`SYSTEM_ON_HOLD`
`17`
`public static final int`
`SYSTEM_SUSPENDED`
`33`
`public static final int`
`TERMINATE`
`4`
`public static final long`
`TIMEOUT_NO_WAIT`
`0L`
`public static final long`
`TIMEOUT_WAIT_FOREVER`
`-1L`
`public static final int`
`UNDETERMINED`
`0`
`public static final int`
`USER_ON_HOLD`
`18`
`public static final int`
`USER_SUSPENDED`
`34`
`public static final int`
`USER_SYSTEM_ON_HOLD`
`19`
`public static final int`
`USER_SYSTEM_SUSPENDED`
`35`